<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__qspi_8h" kind="file" language="C++">
    <compoundname>cyhal_qspi.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="yes" refid="cy__result_8h">cy_result.h</includes>
    <includes local="yes" refid="cyhal__hw__types_8h">cyhal_hw_types.h</includes>
    <includedby local="yes" refid="cyhal__drivers_8h">cyhal_drivers.h</includedby>
    <includedby local="yes" refid="cyhal__qspi_8c">cyhal_qspi.c</includedby>
    <incdepgraph>
      <node id="316">
        <label>stdbool.h</label>
      </node>
      <node id="315">
        <label>stdint.h</label>
      </node>
      <node id="314">
        <label>cyhal_qspi.h</label>
        <link refid="cyhal__qspi_8h" />
        <childnode refid="315" relation="include">
        </childnode>
        <childnode refid="316" relation="include">
        </childnode>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcyhal__qspi__command__t">cyhal_qspi_command_t</innerclass>
    <innerclass prot="public" refid="structcyhal__qspi__command__t_8instruction">cyhal_qspi_command_t.instruction</innerclass>
    <innerclass prot="public" refid="structcyhal__qspi__command__t_8address">cyhal_qspi_command_t.address</innerclass>
    <innerclass prot="public" refid="structcyhal__qspi__command__t_8mode__bits">cyhal_qspi_command_t.mode_bits</innerclass>
    <innerclass prot="public" refid="structcyhal__qspi__command__t_8data">cyhal_qspi_command_t.data</innerclass>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__qspi_1gacbb2bfd332dbbd3589ce6677bc068066" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_BUS_WIDTH</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 0))</initializer>
        <briefdescription>
<para>Bus width Error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="88" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="88" />
      </memberdef>
      <memberdef id="group__group__hal__results__qspi_1gaaff3affb5a155c8341d8081c04ba5fc2" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_PIN</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 1))</initializer>
        <briefdescription>
<para>Pin related Error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="91" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="91" />
      </memberdef>
      <memberdef id="group__group__hal__results__qspi_1ga71bf90ec56d0ff067b535f1ea667fb01" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_DATA_SEL</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 2))</initializer>
        <briefdescription>
<para>Data select Error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="94" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="94" />
      </memberdef>
      <memberdef id="group__group__hal__results__qspi_1ga98afbaa8e54635a5033feffdc5ee3a8d" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_INSTANCE</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 3))</initializer>
        <briefdescription>
<para>QSPI instance related error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="97" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="97" />
      </memberdef>
      <memberdef id="group__group__hal__results__qspi_1ga01bf613bc3c9e26af1008d79e1e9cbeb" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_FREQUENCY</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 4))</initializer>
        <briefdescription>
<para>Clock frequency error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="100" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="100" />
      </memberdef>
      <memberdef id="group__group__hal__results__qspi_1ga5588bcbb0f68d00d98480a0e0a1f342c" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_TIMEOUT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 5))</initializer>
        <briefdescription>
<para>Waiting for certain event error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="103" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="103" />
      </memberdef>
      <memberdef id="group__group__hal__results__qspi_1gaa7e655511e8b65a556ea9f6ac1253aba" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_CANNOT_CONFIG_SSEL</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 6))</initializer>
        <briefdescription>
<para>Cannot configure SSEL signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="106" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="106" />
      </memberdef>
      <memberdef id="group__group__hal__results__qspi_1ga919f92d93b47c56e2d7e31ebf6b9141d" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_CANNOT_SWITCH_SSEL</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 7))</initializer>
        <briefdescription>
<para>Cannot switch to specified SSEL signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="109" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="109" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__qspi_1gaddc93a79f0708fd53897d0c37bc7544b" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_qspi_bus_width_t</name>
        <enumvalue id="group__group__hal__qspi_1ggaddc93a79f0708fd53897d0c37bc7544bab14f0354fdb42ea40c30274df3eeb74f" prot="public">
          <name>CYHAL_QSPI_CFG_BUS_SINGLE</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Normal SPI Mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__qspi_1ggaddc93a79f0708fd53897d0c37bc7544baca253e83014241113acff2120db94c4a" prot="public">
          <name>CYHAL_QSPI_CFG_BUS_DUAL</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>Dual SPI Mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__qspi_1ggaddc93a79f0708fd53897d0c37bc7544ba9e084c6cdea0e030633d139720cad303" prot="public">
          <name>CYHAL_QSPI_CFG_BUS_QUAD</name>
          <initializer>= 4</initializer>
          <briefdescription>
<para>Quad SPI Mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__qspi_1ggaddc93a79f0708fd53897d0c37bc7544ba29b9bcb8d38a946e6b629d0950cce40d" prot="public">
          <name>CYHAL_QSPI_CFG_BUS_OCTAL</name>
          <initializer>= 8</initializer>
          <briefdescription>
<para>Octal SPI Mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_qspi_bus_width_t: </bold><linebreak />QSPI Bus width.</para></briefdescription>
        <detaileddescription>
<para>Some parts of commands provide variable bus width. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="123" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="118" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="118" />
      </memberdef>
      <memberdef id="group__group__hal__qspi_1ga0633be58b4427d173d1f94c4e6e4e058" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_qspi_size_t</name>
        <enumvalue id="group__group__hal__qspi_1gga0633be58b4427d173d1f94c4e6e4e058a3a800b560a9a1ff08d80174908a5b577" prot="public">
          <name>CYHAL_QSPI_CFG_SIZE_8</name>
          <initializer>= 8</initializer>
          <briefdescription>
<para>8 bits address </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__qspi_1gga0633be58b4427d173d1f94c4e6e4e058ababf1c204fafe33c239c4304ecb7dd0b" prot="public">
          <name>CYHAL_QSPI_CFG_SIZE_16</name>
          <initializer>= 16</initializer>
          <briefdescription>
<para>16 bits address </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__qspi_1gga0633be58b4427d173d1f94c4e6e4e058a3255bb7d1a9fbf71e28c121df749135e" prot="public">
          <name>CYHAL_QSPI_CFG_SIZE_24</name>
          <initializer>= 24</initializer>
          <briefdescription>
<para>24 bits address </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__qspi_1gga0633be58b4427d173d1f94c4e6e4e058a065035b5f8a48d6edfb798e8e3390eed" prot="public">
          <name>CYHAL_QSPI_CFG_SIZE_32</name>
          <initializer>= 32</initializer>
          <briefdescription>
<para>32 bits address </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_qspi_size_t: </bold><linebreak />Address size in bits.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="131" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="126" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="126" />
      </memberdef>
      <memberdef id="group__group__hal__qspi_1gadae12b69a94f743b345655ec751d8aad" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_qspi_event_t</name>
        <enumvalue id="group__group__hal__qspi_1ggadae12b69a94f743b345655ec751d8aadac4bda5668bc258f4508d4a1d5cdec9df" prot="public">
          <name>CYHAL_QSPI_EVENT_NONE</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>No event. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__qspi_1ggadae12b69a94f743b345655ec751d8aadab1b4499185f082601c68a36c6be0d034" prot="public">
          <name>CYHAL_QSPI_IRQ_TRANSMIT_DONE</name>
          <initializer>= 1 &lt;&lt; 0</initializer>
          <briefdescription>
<para>Async transmit done. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__qspi_1ggadae12b69a94f743b345655ec751d8aada3c0c0f4d57cf0d2a00ab20ec587fe409" prot="public">
          <name>CYHAL_QSPI_IRQ_RECEIVE_DONE</name>
          <initializer>= 1 &lt;&lt; 1</initializer>
          <briefdescription>
<para>Async receive done. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_qspi_event_t: </bold><linebreak />QSPI interrupt triggers.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="138" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="134" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="134" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__qspi_1ga42887dff6257345711b353990edb1ab1" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cyhal_qspi_event_callback_t) (void *callback_arg, cyhal_qspi_event_t event)</definition>
        <argsstring>)(void *callback_arg, cyhal_qspi_event_t event)</argsstring>
        <name>cyhal_qspi_event_callback_t</name>
        <briefdescription>
<para>Handler for QSPI callbacks. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="166" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="166" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__qspi_1gafeb79a3262be28e59c267b5146273588" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_qspi_init</definition>
        <argsstring>(cyhal_qspi_t *obj, cyhal_gpio_t io0, cyhal_gpio_t io1, cyhal_gpio_t io2, cyhal_gpio_t io3, cyhal_gpio_t io4, cyhal_gpio_t io5, cyhal_gpio_t io6, cyhal_gpio_t io7, cyhal_gpio_t sclk, cyhal_gpio_t ssel, uint32_t hz, uint8_t mode)</argsstring>
        <name>cyhal_qspi_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>io0</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>io1</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>io2</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>io3</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>io4</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>io5</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>io6</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>io7</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>sclk</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>ssel</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>hz</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>mode</declname>
        </param>
        <briefdescription>
<para>Initialize QSPI peripheral. </para>        </briefdescription>
        <detaileddescription>
<para>It should initialize QSPI pins (io0-io7, sclk and ssel), set frequency, clock polarity and phase mode. The clock for the peripheral should be enabled</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a QSPI object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">io0</parametername>
</parameternamelist>
<parameterdescription>
<para>Data pin 0 </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">io1</parametername>
</parameternamelist>
<parameterdescription>
<para>Data pin 1 </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">io2</parametername>
</parameternamelist>
<parameterdescription>
<para>Data pin 2 </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">io3</parametername>
</parameternamelist>
<parameterdescription>
<para>Data pin 3 </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">io4</parametername>
</parameternamelist>
<parameterdescription>
<para>Data pin 4 </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">io5</parametername>
</parameternamelist>
<parameterdescription>
<para>Data pin 5 </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">io6</parametername>
</parameternamelist>
<parameterdescription>
<para>Data pin 6 </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">io7</parametername>
</parameternamelist>
<parameterdescription>
<para>Data pin 7 </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">sclk</parametername>
</parameternamelist>
<parameterdescription>
<para>The clock pin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">ssel</parametername>
</parameternamelist>
<parameterdescription>
<para>The chip select pin </para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Provided slave select pin will be set as active. This can be changed (as well as additional ssel pins can be added) by &lt;a href="group__group__hal__qspi.html#group__group__hal__qspi_1gac55517e2e3828190ccc942e0d1a08b8e"&gt;cyhal_qspi_slave_select_config&lt;/a&gt; and &lt;a href="group__group__hal__qspi.html#group__group__hal__qspi_1ga0a0ffa8e5c9c92289b4624616cc27803"&gt;cyhal_qspi_select_active_ssel&lt;/a&gt; functions. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">hz</parametername>
</parameternamelist>
<parameterdescription>
<para>The bus frequency </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">mode</parametername>
</parameternamelist>
<parameterdescription>
<para>Clock polarity and phase mode (0 - 3) </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="686" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_qspi.c" bodystart="506" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="192" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__qspi_1ga14906073e688d345f01f880f9400bba3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_qspi_free</definition>
        <argsstring>(cyhal_qspi_t *obj)</argsstring>
        <name>cyhal_qspi_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Deinitilize QSPI peripheral. </para>        </briefdescription>
        <detaileddescription>
<para>It should release pins that are associated with the QSPI object, and disable clocks for QSPI peripheral module that was associated with the object</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>QSPI object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="718" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_qspi.c" bodystart="688" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="204" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__qspi_1ga67150e1497b4547854d48b23deb8fd47" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_qspi_set_frequency</definition>
        <argsstring>(cyhal_qspi_t *obj, uint32_t hz)</argsstring>
        <name>cyhal_qspi_set_frequency</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>hz</declname>
        </param>
        <briefdescription>
<para>Set the QSPI baud rate. </para>        </briefdescription>
        <detaileddescription>
<para>Actual frequency may differ from the desired frequency due to available dividers and the bus clock. Function will apply achieved frequency only if it is in +0% /-10% deviation bounds from desired. Use <ref kindref="member" refid="group__group__hal__qspi_1ga7d779256e9226180b2f6aa8f6af0bcab">cyhal_qspi_get_frequency</ref> function to get actual frequency value that was achieved and set.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The QSPI object to configure </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">hz</parametername>
</parameternamelist>
<parameterdescription>
<para>The baud rate in Hz </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the set_frequency request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="728" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_qspi.c" bodystart="720" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="216" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__qspi_1ga7d779256e9226180b2f6aa8f6af0bcab" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_qspi_get_frequency</definition>
        <argsstring>(cyhal_qspi_t *obj)</argsstring>
        <name>cyhal_qspi_get_frequency</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Get the actual frequency that QSPI is configured for. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The QSPI object to configure </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Frequency in Hz </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="734" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_qspi.c" bodystart="730" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="223" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__qspi_1gac55517e2e3828190ccc942e0d1a08b8e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_qspi_slave_select_config</definition>
        <argsstring>(cyhal_qspi_t *obj, cyhal_gpio_t ssel)</argsstring>
        <name>cyhal_qspi_slave_select_config</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>ssel</declname>
        </param>
        <briefdescription>
<para>Configures provided pin to work as QSPI slave select (SSEL) </para>        </briefdescription>
        <detaileddescription>
<para>Multiple pins can be configured as QSPI slave select pins. Please refer to device datasheet for details. Switching between configured slave select pins is done by <ref kindref="member" refid="group__group__hal__qspi_1ga0a0ffa8e5c9c92289b4624616cc27803">cyhal_qspi_select_active_ssel</ref> function. Unless modified with this function, the SSEL pin provided as part of <ref kindref="member" refid="group__group__hal__qspi_1gafeb79a3262be28e59c267b5146273588">cyhal_qspi_init</ref> is the default. <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The QSPI object to configure </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">ssel</parametername>
</parameternamelist>
<parameterdescription>
<para>Pin to be configured as QSPI SSEL </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of ssel pin configuration </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="747" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_qspi.c" bodystart="736" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="234" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__qspi_1ga0a0ffa8e5c9c92289b4624616cc27803" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_qspi_select_active_ssel</definition>
        <argsstring>(cyhal_qspi_t *obj, cyhal_gpio_t ssel)</argsstring>
        <name>cyhal_qspi_select_active_ssel</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>ssel</declname>
        </param>
        <briefdescription>
<para>Selects an active slave select (SSEL) line from one of available. </para>        </briefdescription>
        <detaileddescription>
<para>SSEL pin should be configured by <ref kindref="member" refid="group__group__hal__qspi_1gac55517e2e3828190ccc942e0d1a08b8e">cyhal_qspi_slave_select_config</ref> or <ref kindref="member" refid="group__group__hal__qspi_1gafeb79a3262be28e59c267b5146273588">cyhal_qspi_init</ref> functions prior to selecting it as active. <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The QSPI object to configure </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">ssel</parametername>
</parameternamelist>
<parameterdescription>
<para>SSEL pin to be set as active </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if slave select was switched successfully, otherwise - CYHAL_QSPI_RSLT_ERR_CANNOT_SWITCH_SSEL </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="761" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_qspi.c" bodystart="749" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="244" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__qspi_1ga4e8f85b99de75604ef38becb14ae073d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_qspi_read</definition>
        <argsstring>(cyhal_qspi_t *obj, const cyhal_qspi_command_t *command, void *data, size_t *length)</argsstring>
        <name>cyhal_qspi_read</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__qspi__command__t">cyhal_qspi_command_t</ref> *</type>
          <declname>command</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>size_t *</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Receive a command and block of data, synchronously. </para>        </briefdescription>
        <detaileddescription>
<para>This will read either length bytes or the number of bytes that are currently available in the receive buffer, whichever is less, then return. The value pointed to by length will be updated to reflect the number of bytes that were actually read.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>QSPI object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">command</parametername>
</parameternamelist>
<parameterdescription>
<para>QSPI command </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">data</parametername>
</parameternamelist>
<parameterdescription>
<para>RX buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">length</parametername>
</parameternamelist>
<parameterdescription>
<para>RX buffer length in bytes </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the read request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="835" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_qspi.c" bodystart="779" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="258" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__qspi_1gae29816daa8fec2c03d00c927aa9e1558" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_qspi_read_async</definition>
        <argsstring>(cyhal_qspi_t *obj, const cyhal_qspi_command_t *command, void *data, size_t *length)</argsstring>
        <name>cyhal_qspi_read_async</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__qspi__command__t">cyhal_qspi_command_t</ref> *</type>
          <declname>command</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>size_t *</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Receive a command and block of data in asynchronous mode. </para>        </briefdescription>
        <detaileddescription>
<para>This will transfer length bytes into the buffer pointed to by data in the background. When the requested quantity of data has been read, the <ref kindref="member" refid="group__group__hal__qspi_1ggadae12b69a94f743b345655ec751d8aada3c0c0f4d57cf0d2a00ab20ec587fe409">CYHAL_QSPI_IRQ_RECEIVE_DONE</ref> event will be raised. See <ref kindref="member" refid="group__group__hal__qspi_1ga3650436f640ed3e7640dafaa90268700">cyhal_qspi_register_callback</ref> and <ref kindref="member" refid="group__group__hal__qspi_1ga133e886b33443ee76ad7239623290079">cyhal_qspi_enable_event</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>QSPI object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">command</parametername>
</parameternamelist>
<parameterdescription>
<para>QSPI command </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">data</parametername>
</parameternamelist>
<parameterdescription>
<para>RX buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">length</parametername>
</parameternamelist>
<parameterdescription>
<para>RX buffer length in bytes </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the read request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="867" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_qspi.c" bodystart="837" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="272" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__qspi_1ga7f67f2108cdf6312557fca9be9a3cd0e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_qspi_write</definition>
        <argsstring>(cyhal_qspi_t *obj, const cyhal_qspi_command_t *command, const void *data, size_t *length)</argsstring>
        <name>cyhal_qspi_write</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__qspi__command__t">cyhal_qspi_command_t</ref> *</type>
          <declname>command</declname>
        </param>
        <param>
          <type>const void *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>size_t *</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Send a command and block of data, synchronously. </para>        </briefdescription>
        <detaileddescription>
<para>This will write either length bytes or until the write buffer is full, whichever is less, then return. The value pointed to by length will be updated to reflect the number of bytes that were actually written.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>QSPI object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">command</parametername>
</parameternamelist>
<parameterdescription>
<para>QSPI command </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data</parametername>
</parameternamelist>
<parameterdescription>
<para>TX buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">length</parametername>
</parameternamelist>
<parameterdescription>
<para>TX buffer length in bytes </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the write request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="901" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_qspi.c" bodystart="870" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="286" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__qspi_1gab4e9be936651ce19e56c16c0b3ae07af" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_qspi_write_async</definition>
        <argsstring>(cyhal_qspi_t *obj, const cyhal_qspi_command_t *command, const void *data, size_t *length)</argsstring>
        <name>cyhal_qspi_write_async</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__qspi__command__t">cyhal_qspi_command_t</ref> *</type>
          <declname>command</declname>
        </param>
        <param>
          <type>const void *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>size_t *</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Send a command and block of data in asynchronous mode. </para>        </briefdescription>
        <detaileddescription>
<para>This will transfer length bytes into the tx buffer in the background. When the requested quantity of data has been queued in the transmit buffer, the <ref kindref="member" refid="group__group__hal__qspi_1ggadae12b69a94f743b345655ec751d8aadab1b4499185f082601c68a36c6be0d034">CYHAL_QSPI_IRQ_TRANSMIT_DONE</ref> event will be raised. See <ref kindref="member" refid="group__group__hal__qspi_1ga3650436f640ed3e7640dafaa90268700">cyhal_qspi_register_callback</ref> and <ref kindref="member" refid="group__group__hal__qspi_1ga133e886b33443ee76ad7239623290079">cyhal_qspi_enable_event</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>QSPI object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">command</parametername>
</parameternamelist>
<parameterdescription>
<para>QSPI command </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data</parametername>
</parameternamelist>
<parameterdescription>
<para>TX buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">length</parametername>
</parameternamelist>
<parameterdescription>
<para>TX buffer length in bytes </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the write request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="934" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_qspi.c" bodystart="904" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="300" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__qspi_1gad2ec06f4a49520a89d6b9e0299d0c1ce" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_qspi_transfer</definition>
        <argsstring>(cyhal_qspi_t *obj, const cyhal_qspi_command_t *command, const void *tx_data, size_t tx_size, void *rx_data, size_t rx_size)</argsstring>
        <name>cyhal_qspi_transfer</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__qspi__command__t">cyhal_qspi_command_t</ref> *</type>
          <declname>command</declname>
        </param>
        <param>
          <type>const void *</type>
          <declname>tx_data</declname>
        </param>
        <param>
          <type>size_t</type>
          <declname>tx_size</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>rx_data</declname>
        </param>
        <param>
          <type>size_t</type>
          <declname>rx_size</declname>
        </param>
        <briefdescription>
<para>Send a command (and optionally data) and get the response. </para>        </briefdescription>
        <detaileddescription>
<para>Can be used to send/receive device specific commands</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>QSPI object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">command</parametername>
</parameternamelist>
<parameterdescription>
<para>QSPI command </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">tx_data</parametername>
</parameternamelist>
<parameterdescription>
<para>TX buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">tx_size</parametername>
</parameternamelist>
<parameterdescription>
<para>TX buffer length in bytes </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">rx_data</parametername>
</parameternamelist>
<parameterdescription>
<para>RX buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">rx_size</parametername>
</parameternamelist>
<parameterdescription>
<para>RX buffer length in bytes </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the transfer request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="967" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_qspi.c" bodystart="936" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="312" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__qspi_1ga3650436f640ed3e7640dafaa90268700" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_qspi_register_callback</definition>
        <argsstring>(cyhal_qspi_t *obj, cyhal_qspi_event_callback_t callback, void *callback_arg)</argsstring>
        <name>cyhal_qspi_register_callback</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__qspi_1ga42887dff6257345711b353990edb1ab1">cyhal_qspi_event_callback_t</ref></type>
          <declname>callback</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>callback_arg</declname>
        </param>
        <briefdescription>
<para>Register a QSPI event handler. </para>        </briefdescription>
        <detaileddescription>
<para>This function will be called when one of the events enabled by <ref kindref="member" refid="group__group__hal__qspi_1ga133e886b33443ee76ad7239623290079">cyhal_qspi_enable_event</ref> occurs.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The QSPI object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback</parametername>
</parameternamelist>
<parameterdescription>
<para>The callback handler which will be invoked when the interrupt fires </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback_arg</parametername>
</parameternamelist>
<parameterdescription>
<para>Generic argument that will be provided to the handler when called </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="977" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_qspi.c" bodystart="969" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="325" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__qspi_1ga133e886b33443ee76ad7239623290079" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_qspi_enable_event</definition>
        <argsstring>(cyhal_qspi_t *obj, cyhal_qspi_event_t event, uint8_t intr_priority, bool enable)</argsstring>
        <name>cyhal_qspi_enable_event</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__qspi_1gadae12b69a94f743b345655ec751d8aad">cyhal_qspi_event_t</ref></type>
          <declname>event</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>intr_priority</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Configure QSPI interrupt enablement. </para>        </briefdescription>
        <detaileddescription>
<para>When an enabled event occurs, the function specified by <ref kindref="member" refid="group__group__hal__qspi_1ga3650436f640ed3e7640dafaa90268700">cyhal_qspi_register_callback</ref> will be called.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The QSPI object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>The QSPI event type </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">intr_priority</parametername>
</parameternamelist>
<parameterdescription>
<para>The priority for NVIC interrupt events </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>True to turn on interrupts, False to turn off </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="992" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_qspi.c" bodystart="979" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="336" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a high level interface for interacting with the Cypress Quad-SPI. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="70"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hw_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="preprocessor">#define<sp />CYHAL_QSPI_RSLT_ERR_BUS_WIDTH<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="89"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_QSPI,<sp />0))</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="preprocessor">#define<sp />CYHAL_QSPI_RSLT_ERR_PIN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="92"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_QSPI,<sp />1))</highlight><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="preprocessor">#define<sp />CYHAL_QSPI_RSLT_ERR_DATA_SEL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="95"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_QSPI,<sp />2))</highlight><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="preprocessor">#define<sp />CYHAL_QSPI_RSLT_ERR_INSTANCE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="98"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_QSPI,<sp />3))</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="preprocessor">#define<sp />CYHAL_QSPI_RSLT_ERR_FREQUENCY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="101"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_QSPI,<sp />4))</highlight><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="preprocessor">#define<sp />CYHAL_QSPI_RSLT_ERR_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="104"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_QSPI,<sp />5))</highlight><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="preprocessor">#define<sp />CYHAL_QSPI_RSLT_ERR_CANNOT_CONFIG_SSEL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="107"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_QSPI,<sp />6))</highlight><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="preprocessor">#define<sp />CYHAL_QSPI_RSLT_ERR_CANNOT_SWITCH_SSEL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="110"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_QSPI,<sp />7))</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />cyhal_qspi_bus_width<sp />{</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1ggaddc93a79f0708fd53897d0c37bc7544bab14f0354fdb42ea40c30274df3eeb74f">CYHAL_QSPI_CFG_BUS_SINGLE</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1ggaddc93a79f0708fd53897d0c37bc7544baca253e83014241113acff2120db94c4a">CYHAL_QSPI_CFG_BUS_DUAL</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />2,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1ggaddc93a79f0708fd53897d0c37bc7544ba9e084c6cdea0e030633d139720cad303">CYHAL_QSPI_CFG_BUS_QUAD</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />4,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1ggaddc93a79f0708fd53897d0c37bc7544ba29b9bcb8d38a946e6b629d0950cce40d">CYHAL_QSPI_CFG_BUS_OCTAL</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />8,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="123"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__qspi_1gaddc93a79f0708fd53897d0c37bc7544b">cyhal_qspi_bus_width_t</ref>;</highlight></codeline>
<codeline lineno="124"><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />cyhal_qspi_size<sp />{</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1gga0633be58b4427d173d1f94c4e6e4e058a3a800b560a9a1ff08d80174908a5b577">CYHAL_QSPI_CFG_SIZE_8</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />8,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1gga0633be58b4427d173d1f94c4e6e4e058ababf1c204fafe33c239c4304ecb7dd0b">CYHAL_QSPI_CFG_SIZE_16</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />16,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1gga0633be58b4427d173d1f94c4e6e4e058a3255bb7d1a9fbf71e28c121df749135e">CYHAL_QSPI_CFG_SIZE_24</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />24,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1gga0633be58b4427d173d1f94c4e6e4e058a065035b5f8a48d6edfb798e8e3390eed">CYHAL_QSPI_CFG_SIZE_32</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />32,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="131"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__qspi_1ga0633be58b4427d173d1f94c4e6e4e058">cyhal_qspi_size_t</ref>;</highlight></codeline>
<codeline lineno="132"><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1ggadae12b69a94f743b345655ec751d8aadac4bda5668bc258f4508d4a1d5cdec9df">CYHAL_QSPI_EVENT_NONE</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1ggadae12b69a94f743b345655ec751d8aadab1b4499185f082601c68a36c6be0d034">CYHAL_QSPI_IRQ_TRANSMIT_DONE</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />0,<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1ggadae12b69a94f743b345655ec751d8aada3c0c0f4d57cf0d2a00ab20ec587fe409">CYHAL_QSPI_IRQ_RECEIVE_DONE</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />1,<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="138"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__qspi_1gadae12b69a94f743b345655ec751d8aad">cyhal_qspi_event_t</ref>;</highlight></codeline>
<codeline lineno="139"><highlight class="normal" /></codeline>
<codeline lineno="141" refid="structcyhal__qspi__command__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">cyhal_qspi_command<sp />{</highlight></codeline>
<codeline lineno="142" refid="structcyhal__qspi__command__t_8instruction" refkind="compound"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1gaddc93a79f0708fd53897d0c37bc7544b">cyhal_qspi_bus_width_t</ref><sp />bus_width;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />value;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />disabled;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp />}<sp />instruction;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="147" refid="structcyhal__qspi__command__t_8address" refkind="compound"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1gaddc93a79f0708fd53897d0c37bc7544b">cyhal_qspi_bus_width_t</ref><sp />bus_width;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1ga0633be58b4427d173d1f94c4e6e4e058">cyhal_qspi_size_t</ref><sp />size;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />value;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />disabled;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp />}<sp />address;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="153" refid="structcyhal__qspi__command__t_8mode__bits" refkind="compound"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1gaddc93a79f0708fd53897d0c37bc7544b">cyhal_qspi_bus_width_t</ref><sp />bus_width;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1ga0633be58b4427d173d1f94c4e6e4e058">cyhal_qspi_size_t</ref><sp />size;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />value;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />disabled;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp />}<sp />mode_bits;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />dummy_count;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="160" refid="structcyhal__qspi__command__t_8data" refkind="compound"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__qspi_1gaddc93a79f0708fd53897d0c37bc7544b">cyhal_qspi_bus_width_t</ref><sp />bus_width;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp />}<sp />data;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="163"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcyhal__qspi__command__t">cyhal_qspi_command_t</ref>;</highlight></codeline>
<codeline lineno="164"><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*<ref kindref="member" refid="group__group__hal__qspi_1ga42887dff6257345711b353990edb1ab1">cyhal_qspi_event_callback_t</ref>)(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg,<sp /><ref kindref="member" refid="group__group__hal__qspi_1gadae12b69a94f743b345655ec751d8aad">cyhal_qspi_event_t</ref><sp />event);</highlight></codeline>
<codeline lineno="167"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__qspi_1gafeb79a3262be28e59c267b5146273588">cyhal_qspi_init</ref>(</highlight></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />io0,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />io1,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />io2,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />io3,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />io4,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />io5,</highlight></codeline>
<codeline lineno="194"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />io6,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />io7,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />sclk,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />ssel,<sp />uint32_t<sp />hz,<sp />uint8_t<sp />mode</highlight></codeline>
<codeline lineno="195"><highlight class="normal">);</highlight></codeline>
<codeline lineno="196"><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__qspi_1ga14906073e688d345f01f880f9400bba3">cyhal_qspi_free</ref>(<ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="205"><highlight class="normal" /></codeline>
<codeline lineno="216"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__qspi_1ga67150e1497b4547854d48b23deb8fd47">cyhal_qspi_set_frequency</ref>(<ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref><sp />*obj,<sp />uint32_t<sp />hz);</highlight></codeline>
<codeline lineno="217"><highlight class="normal" /></codeline>
<codeline lineno="223"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__hal__qspi_1ga7d779256e9226180b2f6aa8f6af0bcab">cyhal_qspi_get_frequency</ref>(<ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="224"><highlight class="normal" /></codeline>
<codeline lineno="234"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__qspi_1gac55517e2e3828190ccc942e0d1a08b8e">cyhal_qspi_slave_select_config</ref>(<ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />ssel);</highlight></codeline>
<codeline lineno="235"><highlight class="normal" /></codeline>
<codeline lineno="244"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__qspi_1ga0a0ffa8e5c9c92289b4624616cc27803">cyhal_qspi_select_active_ssel</ref>(<ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />ssel);</highlight></codeline>
<codeline lineno="245"><highlight class="normal" /></codeline>
<codeline lineno="258"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__qspi_1ga4e8f85b99de75604ef38becb14ae073d">cyhal_qspi_read</ref>(<ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__qspi__command__t">cyhal_qspi_command_t</ref><sp />*command,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*data,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />*length);</highlight></codeline>
<codeline lineno="259"><highlight class="normal" /></codeline>
<codeline lineno="272"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__qspi_1gae29816daa8fec2c03d00c927aa9e1558">cyhal_qspi_read_async</ref>(<ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__qspi__command__t">cyhal_qspi_command_t</ref><sp />*command,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*data,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />*length);</highlight></codeline>
<codeline lineno="273"><highlight class="normal" /></codeline>
<codeline lineno="286"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__qspi_1ga7f67f2108cdf6312557fca9be9a3cd0e">cyhal_qspi_write</ref>(<ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__qspi__command__t">cyhal_qspi_command_t</ref><sp />*command,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*data,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />*length);</highlight></codeline>
<codeline lineno="287"><highlight class="normal" /></codeline>
<codeline lineno="300"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__qspi_1gab4e9be936651ce19e56c16c0b3ae07af">cyhal_qspi_write_async</ref>(<ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__qspi__command__t">cyhal_qspi_command_t</ref><sp />*command,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*data,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />*length);</highlight></codeline>
<codeline lineno="301"><highlight class="normal" /></codeline>
<codeline lineno="312"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__qspi_1gad2ec06f4a49520a89d6b9e0299d0c1ce">cyhal_qspi_transfer</ref>(</highlight></codeline>
<codeline lineno="313"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__qspi__command__t">cyhal_qspi_command_t</ref><sp />*command,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*tx_data,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />tx_size,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*rx_data,</highlight></codeline>
<codeline lineno="314"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />rx_size</highlight></codeline>
<codeline lineno="315"><highlight class="normal">);</highlight></codeline>
<codeline lineno="316"><highlight class="normal" /></codeline>
<codeline lineno="325"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__qspi_1ga3650436f640ed3e7640dafaa90268700">cyhal_qspi_register_callback</ref>(<ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__qspi_1ga42887dff6257345711b353990edb1ab1">cyhal_qspi_event_callback_t</ref><sp />callback,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg);</highlight></codeline>
<codeline lineno="326"><highlight class="normal" /></codeline>
<codeline lineno="336"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__qspi_1ga133e886b33443ee76ad7239623290079">cyhal_qspi_enable_event</ref>(<ref kindref="compound" refid="structcyhal__qspi__t">cyhal_qspi_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__qspi_1gadae12b69a94f743b345655ec751d8aad">cyhal_qspi_event_t</ref><sp />event,<sp />uint8_t<sp />intr_priority,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enable);</highlight></codeline>
<codeline lineno="337"><highlight class="normal" /></codeline>
<codeline lineno="338"><highlight class="normal" /></codeline>
<codeline lineno="339"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="340"><highlight class="normal">}</highlight></codeline>
<codeline lineno="341"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="342"><highlight class="normal" /></codeline>
<codeline lineno="343"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CYHAL_QSPI_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="344"><highlight class="normal" /><highlight class="preprocessor">#include<sp />CYHAL_QSPI_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="345"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CYHAL_QSPI_IMPL_HEADER<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="346"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" />
  </compounddef>
</doxygen>